Package org.opentcs.access.rmi.factories

# Class SecureSocketFactoryProvider

java.lang.Object
org.opentcs.access.rmi.factories.SecureSocketFactoryProvider

All Implemented Interfaces:
  `SocketFactoryProvider`

    public class SecureSocketFactoryProvider
    extends java.lang.Object
    implements SocketFactoryProvider

Provides instances of `RMIClientSocketFactory` and `RMIServerSocketFactory` that are implemented over the SSL or TLS protocols. Since these factories don't support anonymous cipher suites a keystore on the server-side and a truststore on the client-side is necessary.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SecureSocketFactoryProvider​(SslParameterSet sslParameterSet)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.rmi.server.RMIClientSocketFactory` | `getClientSocketFactory()` | Returns a `RMIClientSocketFactory`.
  `java.rmi.server.RMIServerSocketFactory` | `getServerSocketFactory()` | Returns a `RMIServerSocketFactory`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SecureSocketFactoryProvider

    @Inject public SecureSocketFactoryProvider​(SslParameterSet sslParameterSet)
    Creates a new instance.
    Parameters:
      `sslParameterSet` - The SSL parameters to be used for creating socket factories.

- ## Method Details

  - ### getClientSocketFactory

    public java.rmi.server.RMIClientSocketFactory getClientSocketFactory()
    Description copied from interface: `SocketFactoryProvider`
    Returns a `RMIClientSocketFactory`.
    Specified by:
      `getClientSocketFactory` in interface `SocketFactoryProvider`
    Returns:
      A `RMIClientSocketFactory`. May be `null` to indicate that a default factory implementation is to be used.

  - ### getServerSocketFactory

    public java.rmi.server.RMIServerSocketFactory getServerSocketFactory()
    Description copied from interface: `SocketFactoryProvider`
    Returns a `RMIServerSocketFactory`.
    Specified by:
      `getServerSocketFactory` in interface `SocketFactoryProvider`
    Returns:
      A `RMIServerSocketFactory`. May be `null` to indicate that a default factory implementation is to be used.